import { renderless as renderless$2, api as api$2 } from "@xmweb-ui/vue-renderless/color-picker/vue";
import { defineComponent, setup as _setup, props, directive } from "@xmweb-ui/vue-common";
import { IconChevronDown } from "@xmweb-ui/vue-icon";
import { renderless, api } from "@xmweb-ui/vue-renderless/color-picker/color-select/vue";
import "@xmweb-ui/vue-theme/color-picker/index.css";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

import { renderless as renderless$1, api as api$1 } from "@xmweb-ui/vue-renderless/color-picker/alpha-select/vue";
import Button from "@xmweb-ui/vue-button";
import ButtonGroup from "@xmweb-ui/vue-button-group";
import Input from "@xmweb-ui/vue-input";
import Clickoutside from "@xmweb-ui/vue-renderless/common/deps/clickoutside";
import "@xmweb-ui/vue-locale";
var render$2 = function render$22() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "xm-color-picker__wrapper__inner"
  }, [_c("div", {
    ref: "wrapper",
    staticClass: "xm-color-picker__wrapper__inner__color-select",
    style: {
      background: _vm.state.background
    }
  }, [_c("div", {
    staticClass: "white"
  }), _c("div", {
    staticClass: "black"
  }), _c("div", {
    ref: "cursor",
    staticClass: "cursor"
  })]), _c("div", {
    ref: "bar",
    staticClass: "xm-color-picker__wrapper__inner__hue-select"
  }, [_c("div", {
    ref: "thumb"
  })])]);
};
var staticRenderFns$2 = [];
var __vue2_script$2 = defineComponent({
  emits: ["hue-update", "sv-update"],
  props: {
    color: {
      type: String
    },
    alpha: {
      type: Boolean
    }
  },
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var __cssModules$2 = {};
var __component__$2 = /* @__PURE__ */ normalizeComponent(__vue2_script$2, render$2, staticRenderFns$2, false, __vue2_injectStyles$2, null, null, null);
function __vue2_injectStyles$2(context) {
  for (var o in __cssModules$2) {
    this[o] = __cssModules$2[o];
  }
}
var colorSelect = /* @__PURE__ */ function() {
  return __component__$2.exports;
}();
var render$1 = function render$12() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    ref: "alphaWrapper",
    staticClass: "xm-color-picker__wrapper__alpha"
  }, [_c("div", {
    ref: "slider",
    staticClass: "xm-color-picker__wrapper__alpha__slider",
    style: {
      background: _vm.state.background
    }
  }), _c("div", {
    ref: "alphaThumb",
    staticClass: "xm-color-picker__wrapper__alpha__thumb",
    style: {
      top: 0,
      left: 0
    }
  })]);
};
var staticRenderFns$1 = [];
var __vue2_script$1 = defineComponent({
  emits: ["alpha-update"],
  props: {
    color: {
      type: String
    }
  },
  setup: function setup2(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless: renderless$1,
      api: api$1
    });
  }
});
var __cssModules$1 = {};
var __component__$1 = /* @__PURE__ */ normalizeComponent(__vue2_script$1, render$1, staticRenderFns$1, false, __vue2_injectStyles$1, null, null, null);
function __vue2_injectStyles$1(context) {
  for (var o in __cssModules$1) {
    this[o] = __cssModules$1[o];
  }
}
var alphaSelect = /* @__PURE__ */ function() {
  return __component__$1.exports;
}();
var render = function render2() {
  var _vm$state$triggerBg;
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    directives: [{
      name: "clickoutside",
      rawName: "v-clickoutside",
      value: _vm.onCancel,
      expression: "onCancel"
    }],
    staticClass: "xm-color-picker__trigger",
    on: {
      "click": function click() {
        return _vm.changeVisible(!_vm.state.isShow);
      }
    }
  }, [_c("div", {
    staticClass: "xm-color-picker__inner",
    style: {
      background: (_vm$state$triggerBg = _vm.state.triggerBg) !== null && _vm$state$triggerBg !== void 0 ? _vm$state$triggerBg : ""
    }
  }, [_c("IconChevronDown")], 1), _c("Transition", {
    attrs: {
      "name": "xm-zoom-in-top"
    }
  }, [_vm.state.isShow ? _c("div", {
    staticClass: "xm-color-picker__wrapper",
    on: {
      "click": function click($event) {
        $event.stopPropagation();
      }
    }
  }, [_c("color-select", {
    attrs: {
      "color": _vm.state.hex
    },
    on: {
      "hue-update": _vm.onHueUpdate,
      "sv-update": _vm.onSVUpdate
    }
  }), _vm.alpha ? _c("alpha-select", {
    attrs: {
      "color": _vm.state.res
    },
    on: {
      "alpha-update": _vm.onAlphaUpdate
    }
  }) : _vm._e(), _c("div", {
    staticClass: "xm-color-picker__wrapper__tools"
  }, [_c("xm-input", {
    model: {
      value: _vm.state.res,
      callback: function callback($$v) {
        _vm.$set(_vm.state, "res", $$v);
      },
      expression: "state.res"
    }
  }), _c("xm-button-group", [_c("xm-button", {
    attrs: {
      "type": "text"
    },
    on: {
      "click": _vm.onCancel
    }
  }, [_vm._v(" " + _vm._s(_vm.t("ui.colorPicker.cancel")) + " ")]), _c("xm-button", {
    on: {
      "click": _vm.onConfirm
    }
  }, [_vm._v(" " + _vm._s(_vm.t("ui.colorPicker.confirm")) + " ")])], 1)], 1)], 1) : _vm._e()])], 1);
};
var staticRenderFns = [];
var __vue2_script = defineComponent({
  emits: ["update:modelValue", "confirm", "cancel"],
  props: [].concat(props, ["modelValue", "visible", "alpha"]),
  components: {
    IconChevronDown: IconChevronDown(),
    ColorSelect: colorSelect,
    AlphaSelect: alphaSelect,
    XmButton: Button,
    XmButtonGroup: ButtonGroup,
    XmInput: Input
  },
  directives: directive({
    Clickoutside
  }),
  setup: function setup3(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless: renderless$2,
      api: api$2
    });
  }
});
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  pc as default
};
